# metaltest

Clone of baretest with reporting

## How to use

```js
import assert from "node:assert/strict";
import metaltest from "metaltest";
const test = metaltest("Metaltest");
test("test 1", () => {
  assert.equal(1, 1);
});
test("test 2", () => {
  assert.equal(2, 2);
});

const stats = await test.run();
/* Will return
{
  title: 'Metaltest',
  success: 2,
  fail: 0,
  total: 2,
  testSuccess: [],
  testFail: []
}
*/
```

### How to report to the console

```js
const stats = await test.run(consolereporter());
```

### How to create a suite of test

test.js

```js
import assert from "node:assert/strict";
import metaltest from "metaltest";
const test = metaltest("Metaltest");
test("test 1", () => {
  assert.equal(1, 1);
});
export { test };
```

suite.js

```js
const { test } = await import("test.js");
await test.run(consolereporter());
```
